//+------------------------------------------------------------------+
//|                                                         test.mq4 |
//|                                Copyright  2009, Victor Nicolaev |
//|                                                    vinin.ucoz.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Victor Nicolaev"
#property link      "vinin.ucoz.ru"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red

extern double PeriodPower=13;
extern double MA_Period=5;


double Buf_0[],Bears_array[],Bulls_array[],Line1[],Line2[];


int init() {
   IndicatorBuffers(5);
   SetIndexBuffer(0,Buf_0);
   SetIndexStyle (0,DRAW_HISTOGRAM,STYLE_SOLID,2);
   SetIndexBuffer(1,Bears_array);
   SetIndexBuffer(2,Bulls_array);
   SetIndexBuffer(3,Line1);
   SetIndexBuffer(4,Line2);

   return;
}


int start() {
   int i, limit=Bars-IndicatorCounted()-1;
   for (i=limit;i>=0;i--) {
      Bulls_array[i]=iBullsPower(NULL,0,PeriodPower,PRICE_CLOSE,i);
      Bears_array[i]=iBearsPower(NULL,0,PeriodPower,PRICE_CLOSE,i);
   }
   for (i=limit;i>=0;i--) {
      Line1[i]=iMAOnArray(Bears_array,0,MA_Period,0,MODE_SMMA,i); 
      Line2[i]=iMAOnArray(Bulls_array,0,MA_Period,0,MODE_SMMA,i); 
   }
   for (i=limit;i>=0;i--) {
      Buf_0[i]=(Line2[i]+Line1[i])/Point/10;
   }
   return;
}


